version 0.5.2 works fine in Fx 17.0.3esr Rated 5 out of 5 stars

Just as info:
After changing min-version in install.rdf the new version (0.5.2) works fine in up-to-date Firefox 17.0.3 ESR.
Thanks for the work.

This review is for a previous version of the add-on (0.5.2).